# $Revision: 1.82 $, $Date: 2009/02/23 22:04:02 $
Summary:	GNU's bc (a numeric processing language) and dc (a calculator)
Summary(de.UTF-8):	GNUs bc (eine Zahlenverarbeitungssprache) und dc (ein Rechner)
Summary(es.UTF-8):	GNU bc (lenguaje para cálculos matemáticos) y dc (calculadora)
Summary(fr.UTF-8):	GNU bc
Summary(pl.UTF-8):	GNU bc (język obliczeń numerycznych) i dc (kalkulator)
Summary(pt_BR.UTF-8):	GNU bc - calculadora de linha de comando
Summary(ru.UTF-8):	GNU bc (язык обработки чисел) и dc (калькулятор)
Summary(tr.UTF-8):	GNU hesap makinası
Summary(uk.UTF-8):	GNU bc (мова обробки чисел) та dc (калькулятор)
Name:		bc
Version:	1.06
Release:	22
License:	GPL
Group:		Applications/Math
Source0:	ftp://ftp.gnu.org/pub/gnu/bc/%{name}-%{version}.tar.gz
# Source0-md5:	d44b5dddebd8a7a7309aea6c36fda117
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	ae2cf58a4382d6a0bfeaab3a6a11bd30
Source2:	bc.desktop
Source3:	dc.desktop
Source4:	bc.png
Patch0:		%{name}-info.patch
Patch1:		%{name}-readline.patch
Patch2:		%{name}-flex.patch
Patch3:		%{name}-save_adr.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 5.0
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The bc package includes bc and dc. Bc is an arbitrary precision
numeric processing arithmetic language. Dc is an interactive arbitrary
precision stack based calculator, which can be used as a text mode
calculator. Install the bc package if you need its number handling
capabilities or if you would like to use its text mode calculator.

%description -l de.UTF-8
Das bc-Paket enthält bc und dc. Bc ist eine Zahlenverarbeitungssprache
mit beliebiger Genauigkeit. Dc ist ein interaktiver, Stapelbasierter
Rechner mit beliebiger Genauigkeit, der im Textmodus benutzt werden
kann. Installieren Sie bc, wenn Sie seine
Zahlenverarbeitungsfähigkeiten brauchen, oder wenn Sie einen
Textmodus-Rechner haben wollen.

%description -l pt_BR.UTF-8
bc é uma calculadora modo texto. Ela possui várias características
estendidas como translação de base.

%description -l fr.UTF-8
bc est est un outil de calcul en mode texte. Il a des fonctionnalités
étendues comme la conversion de base. il peut aussi accepter l'entrée
sur stdin et retourner le résultat. dc est la version RPN.

%description -l pl.UTF-8
Pakiet bc zawiera w sobie programy bc i dc. Bc jest oferuje język
obliczeń numerycznych w którym można określić precyzję obliczeń. Dc
jest natomiast interakcyjnym bazującym na notacji RPN kalkulatorem w
którym także można z góry określić precyzję obliczeń.

%description -l pt_BR.UTF-8
bc é uma calculadora modo texto. Ela possui várias características
estendidas como translação de base.

%description -l ru.UTF-8
Пакет bc включает bc и dc. Bc - это арифметический язык для обработки
чисел произвольной точности. Dc - это интерактивный стековый
калькулятор произвольной точности, который можно использовать как
калькулятор в текстовом режиме.

%description -l tr.UTF-8
bc metin ekranda çalışan bir hesap makinasıdır. Taban dönüşümü gibi
ileri yetenekleri vardır.

%description -l uk.UTF-8
Пакет bc містить bc та dc. Bc - це арифметична мова для обробки чисел
довільної точності. Dc - це інтерактивний стековий калькулятор
довільної точності, який можна використовувати як калькулятор у
текстовому режимі.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-readline
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar -xf - -C $RPM_BUILD_ROOT%{_mandir}

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} %{SOURCE3} \
	$RPM_BUILD_ROOT%{_desktopdir}

install -d $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bc.spec,v $
Revision 1.82  2009/02/23 22:04:02  arekm
- release 22

Revision 1.81  2008/07/27 22:21:09  arekm
- release 21

Revision 1.80  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.79  2007-02-12 21:23:48  glen
- tabs in preamble

Revision 1.78  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.77  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.76  2006/04/04 16:37:12  arekm
- rel 20; rebuild

Revision 1.75  2005/10/02 21:26:11  arekm
- add bc-save_adr.patch from ac; rel 19

Revision 1.74  2005/09/17 10:25:18  arekm
- rebuild with readline 5.0

Revision 1.73  2005/05/15 18:04:55  adamg
- release 16 for Th

Revision 1.72  2005/04/27 17:06:38  speedy
- real fix

Revision 1.71  2005/04/27 16:48:05  speedy
- release 15

Revision 1.70  2004/12/17 21:38:43  sparky
- should use aspell before

Revision 1.69  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.68  2004/09/25 11:20:50  radek
- cosmetics (spaces -> tabs)

Revision 1.67  2004/07/03 22:23:02  havner
- rel up

Revision 1.66  2003/12/04 18:00:32  adgor
- Switched to vfolders

Revision 1.65  2003/08/20 00:52:10  undefine
- cleanup - moved clean section

Revision 1.64  2003/08/06 16:33:50  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.63  2003/07/10 11:20:58  mwinkler
- added flex patch (new flex)

Revision 1.62  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.61  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.60  2003/05/25 05:45:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.59  2003/01/18 21:58:49  kloczek
- bump release to 12 (for allow upgrade from RH version).

Revision 1.58  2003/01/18 20:11:45  juandon
- Added BR: texinfo

Revision 1.57  2003/01/13 07:48:21  trojan
- fixed %%files (added bc.info)

Revision 1.56  2002/12/10 09:32:05  roman
- added bc.desktop and dc.desktop to Scientific/Numerics applnk subdir
- changed Release: from 9 to 10

Revision 1.55  2002/10/10 11:59:43  marcus
- use new %%doc

Revision 1.54  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.53  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.52  2002/04/30 22:52:51  kloczek
- release 9: merge translations ftrom KSI and Conectiva.

Revision 1.51  2002/04/25 15:52:25  arturs
fixed a small typo

Revision 1.50  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.47  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/10/19 11:47:32  ankry
- added es,fi,hu,ja,ko,pl man pages
- Release 8

Revision 1.45  2001/08/04 13:51:02  qboosh
- release 7: fixed info patch

Revision 1.44  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.42  2001/07/15 10:42:15  kloczek
- release 6,
- bettr readline patch (only remove conflicting readline prototype),
- spec is ac 2.50 ready.

Revision 1.41  2001/04/13 18:27:19  kloczek
- release 5.

Revision 1.40  2001/04/13 16:54:34  wiget
add patch to allow compile with readline 4.2

Revision 1.39  2001/04/12 20:52:19  kloczek
- release 4: rebuild against readline 4.2.

Revision 1.38  2001/01/28 02:51:45  kloczek
- release 3.

Revision 1.37  2000/11/29 05:05:52  kloczek
- bump release to 2.

Revision 1.36  2000/11/18 23:24:44  kloczek
- updated to 1.06,
- removed DESTDIR, longline obsoleted patches,
- simplitications in %install,
- added some %doc.

Revision 1.35  2000/10/11 19:26:30  kloczek
- release 16: use new rpm automation.

Revision 1.34  2000/07/13 23:05:53  baggins
- release 15
- rebuild with ncurses 5.1

Revision 1.33  2000/07/13 20:37:01  baggins
- release 14

Revision 1.32  2000/06/13 05:08:12  kloczek
- release 13,
-addded longline patch from rawhide (coredump on long line in bc/dc).

Revision 1.31  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.30  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.29  2000/06/01 01:56:03  kloczek
- release 12.

Revision 1.28  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.27  2000/05/18 02:01:25  kloczek
- spec adapterized.

Revision 1.26  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.25  2000/04/14 09:09:13  qboosh
- added flex and bison to BuildRequires
- typos

Revision 1.24  2000/04/13 21:55:23  kloczek
- release 11,
- updated Source url.

Revision 1.23  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.21  2000/03/23 08:44:59  kloczek
- release 10,
- spec adapterized,
- build against readline 4.1.

Revision 1.20  1999/11/19 03:08:35  kloczek
- release 9,
- build agains ncurses 5.0.

Revision 1.19  1999/09/16 00:50:24  kloczek
- added BuildRequires rules.

Revision 1.18  1999/09/16 00:47:26  kloczek
- release 8,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format,
- updated en, de and pl Summary and %description's.

Revision 1.17  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.05a-7]
- based on RH spec,
- spec rewrited by PLD team,
- pl translation Wojtek Ślusarczyk <wojtek@shadow.eu.org>.
